org.apache.ignite.internal.visor.query

## Class VisorQueryScanRegexFilter

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryScanRegexFilter

All Implemented Interfaces:
  Serializable, IgniteBiPredicate<Object,Object>

    public class VisorQueryScanRegexFilter
    extends Object
    implements IgniteBiPredicate<Object,Object>

Filter scan results by specified substring in string presentation of key or value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryScanRegexFilter(boolean caseSensitive, boolean regex, String ptrn)` Create filter instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Object key, Object val)` Check that key or value contains specified string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryScanRegexFilter

    public VisorQueryScanRegexFilter(boolean caseSensitive,
                                     boolean regex,
                                     String ptrn)

Create filter instance.

Parameters:
  `caseSensitive` - Case sensitive flag.
  `regex` - Regex search flag.
  `ptrn` - String to search in string presentation of key or value.

### Method Detail

#### apply

    public boolean apply(Object key,
                         Object val)

Check that key or value contains specified string.

Specified by:
  `apply` in interface `IgniteBiPredicate<Object,Object>`
Parameters:
  `key` - Key object.
  `val` - Value object.
Returns:
  `true` when string presentation of key or value contain specified string.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018